Bullet Collision Detection & Physics Library: btPersistentManifold.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
btPersistentManifold.cpp File Reference
`#include "btPersistentManifold.h"`
`#include "LinearMath/btTransform.h"`
`#include "LinearMath/btSerializer.h"`
Include dependency graph for btPersistentManifold.cpp:

Go to the source code of this file.

## Macros
#define | btCollisionObjectData btCollisionObjectFloatData
#define | KEEP_DEEPEST_POINT 1

## Functions
static btScalar | calcArea4Points (const btVector3 &p0, const btVector3 &p1, const btVector3 &p2, const btVector3 &p3)

## Variables
btScalar | gContactBreakingThreshold = btScalar(0.02)
| maximum contact breaking and merging threshold
ContactDestroyedCallback | gContactDestroyedCallback = 0
ContactProcessedCallback | gContactProcessedCallback = 0
ContactStartedCallback | gContactStartedCallback = 0
ContactEndedCallback | gContactEndedCallback = 0
bool | gContactCalcArea3Points = true
| gContactCalcArea3Points will approximate the convex hull area using 3 points when setting it to false, it will use 4 points to compute the area: it is more accurate but slower

## Macro Definition Documentation

## ◆ btCollisionObjectData

#define btCollisionObjectData btCollisionObjectFloatData

Definition at line 23 of file btPersistentManifold.cpp.

## ◆ KEEP_DEEPEST_POINT

#define KEEP_DEEPEST_POINT 1

## Function Documentation

## ◆ calcArea4Points()

static btScalar calcArea4Points | ( | const btVector3 & | p0,
|  | const btVector3 & | p1,
|  | const btVector3 & | p2,
|  | const btVector3 & | p3
| ) |  |
| inlinestatic

Definition at line 91 of file btPersistentManifold.cpp.

## Variable Documentation

## ◆ gContactBreakingThreshold

btScalar gContactBreakingThreshold = btScalar(0.02)

maximum contact breaking and merging threshold

Definition at line 26 of file btPersistentManifold.cpp.

## ◆ gContactCalcArea3Points

bool gContactCalcArea3Points = true

gContactCalcArea3Points will approximate the convex hull area using 3 points when setting it to false, it will use 4 points to compute the area: it is more accurate but slower

Definition at line 33 of file btPersistentManifold.cpp.

## ◆ gContactDestroyedCallback

ContactDestroyedCallback gContactDestroyedCallback = 0

Definition at line 27 of file btPersistentManifold.cpp.

## ◆ gContactEndedCallback

ContactEndedCallback gContactEndedCallback = 0

Definition at line 30 of file btPersistentManifold.cpp.

## ◆ gContactProcessedCallback

ContactProcessedCallback gContactProcessedCallback = 0

Definition at line 28 of file btPersistentManifold.cpp.

## ◆ gContactStartedCallback

ContactStartedCallback gContactStartedCallback = 0

Definition at line 29 of file btPersistentManifold.cpp.